class PlaybackRecord {
  final String streamType;
  final String streamUrl;
  final bool isLive;
  final bool isVideo;
  final bool isAudio;

  PlaybackRecord({required this.streamType, required this.streamUrl, required this.isLive, required this.isVideo, required this.isAudio});

  factory PlaybackRecord.fromJson(dynamic data) {
    return PlaybackRecord(
      streamType: data['stream_type'],
      streamUrl: data['stream_url'],
      isLive: data['is_live'],
      isVideo: data['is_video'],
      isAudio: data['is_audio']
    );
  }
}